import request from '@/utils/request'

// 查询物料组成员列表
export function listMaterialGroupDetail(query) {
	return request({
		url: '/quality/materialGroupDetail/list',
		method: 'get',
		params: query
	});
}

// 查询物料组成员详细
export function getMaterialGroupDetail(id) {
	return request({
		url: '/quality/materialGroupDetail/' + id,
		method: 'get'
		});
}

// 新增物料组成员
export function addMaterialGroupDetail(data) {
	return request({
		url: '/quality/materialGroupDetail',
		method: 'post',
		data: data
	});
}

// 修改物料组成员
export function updateMaterialGroupDetail(data) {
	return request({
		url: '/quality/materialGroupDetail',
		method: 'put',
		data: data
	});
}

// 删除物料组成员
export function delMaterialGroupDetail(id) {
	return request({
		url: '/quality/materialGroupDetail/' + id,
		method: 'delete'
	});
}
